# Changes

# Version 1.1.0 (2019-06-27)

We closed a total of 54 issues (enhancements and bug fixes) through 21 pull requests, since our last release on 2018-11-13.

## Issues Closed
  - LISA cluster map colours mixed when cluster value not present (#72)
  - [ENH] select colour by presence of value in list in `mask_local_auto` (#73)
  - Moran Scatterplots with equal bounds on X and Y axes? (#51)
  - Add aspect_equal argument to Moran functionality (#70)
  - set up dual travis tests for pysal dependencies (pip and github)  (#69)
  - API changes of mapclassify propagate to splot (#65)
  - [DOC] include rtree and descartes in `requirements_dev.txt` (#68)
  - Readme update (#67)
  - docs building using readthedocs.yml version 2 (#64)
  - [DOC] add test for missing code cove % (#57)
  - Add tests for warnings and ValueErrors (#61)
  - Update travis for testing (#1)
  - travis ci testing: migrate from 3.5 and 3.6 to 3.6 and 3.7 (#63)
  - create paper directory (#58)
  - clean and rerun notebooks (#56)
  - `vba_choropleth` API (#45)
  - allow string (default) in vba_choropleth function of tests (#52)
  - migrating to readthedocs II (#54)
  - migration to readthedocs (#53)
  - Make docs (#46)
  - Segmentation fault in running tests on TravisCI (#47)
  - code 139 memory segmentation fault: RESOLVED (#48)
  - pip install on linux fails on pyproj (#41)
  - update archaic Miniconda build (#44)
  - adjusting markdown font (#43)
  - add `moran_facette` functionality and merge `esda.moran` plots to `moran_scatterplot` (#27)
  - (ENH) speed up plot_spatial_weights for plotting spatial weights (#42)
  - Travis testing against esda and giddy master branch (#31)
  - 1.0.0 Release (#40)
  - merge Sprint with master branch (#39)
  - Change documentation style (#38)
  - add travis build badge to README.md (#37)
  - fix current documentation for sprint (#36)

## Pull Requests
  - [ENH] select colour by presence of value in list in `mask_local_auto` (#73)
  - Add aspect_equal argument to Moran functionality (#70)
  - set up dual travis tests for pysal dependencies (pip and github)  (#69)
  - Readme update (#67)
  - docs building using readthedocs.yml version 2 (#64)
  - Add tests for warnings and ValueErrors (#61)
  - travis ci testing: migrate from 3.5 and 3.6 to 3.6 and 3.7 (#63)
  - create paper directory (#58)
  - clean and rerun notebooks (#56)
  - allow string (default) in vba_choropleth function of tests (#52)
  - migrating to readthedocs II (#54)
  - migration to readthedocs (#53)
  - Make docs (#46)
  - code 139 memory segmentation fault: RESOLVED (#48)
  - update archaic Miniconda build (#44)
  - adjusting markdown font (#43)
  - (ENH) speed up plot_spatial_weights for plotting spatial weights (#42)
  - 1.0.0 Release (#40)
  - merge Sprint with master branch (#39)
  - Change documentation style (#38)
  - fix current documentation for sprint (#36)

The following individuals contributed to this release:

  - Stefanie Lumnitz
  - Wei Kang
  - James Gaboardi
  - Renanxcortes
  - Dani Arribas-Bel


# Version 1.0.0 (2018-11-30)

We closed a total of 52 issues (enhancements and bug fixes) through 23 pull requests, since our last release on 2017-05-09.

## Issues Closed
  - merge Sprint with master branch (#39)
  - Change documentation style (#38)
  - add travis build badge to README.md (#37)
  - fix current documentation for sprint (#36)
  - `value_by_alpha` prototype (#28)
  - Clean up of current code base (#30)
  - Value By Alpha specification (#24)
  - nonplanar example update (#33)
  - add README.md (#29)
  - issues in some docstrings for giddy (#26)
  - debug `splot` documentation (#25)
  - collection of cleanups for`splot.giddy`  (#23)
  - created `esda.moran.Moran_Local_BV` visualisations (#20)
  - add `esda.moran.Moran_BV` visualizations to `splot.esda` (#18)
  - add `seaborn` and `matplotlib` to `install_requirements` in `setup.py` (#19)
  - prototype `moran_scatterplot()`, `plot_moran_simulation()` and `plot_moran()` for `esda` (#17)
  - include utility functions `shift_colormap` and `truncate_colormap` (#15)
  - fix setup.py so files are installed with "pip install ." (#16)
  - `plot_spatial_weights` including network joins for `non_planar_joins` (#14)
  - adapting existing `esda` functionality to `splot.esda` namespace and allow `.plot()` method (#13)
  - adding license (#4)
  - add `giddy` dynamic LISA functionality under `splot.giddy` (#11)
  - start sphinx html documentation (#12)
  - add visualization option with significance to mplot (#7)
  - Visualising Local Autocorrelation (#8)
  - Copy new changes made to viz module into split (#5)
  - run 2to3 for splot (#6)
  - Fix for Pysal#930 (#3)
  - Add a Gitter chat badge to README.md (#2)

## Pull Requests
  - merge Sprint with master branch (#39)
  - Change documentation style (#38)
  - fix current documentation for sprint (#36)
  - `value_by_alpha` prototype (#28)
  - Clean up of current code base (#30)
  - add README.md (#29)
  - debug `splot` documentation (#25)
  - collection of cleanups for`splot.giddy`  (#23)
  - created `esda.moran.Moran_Local_BV` visualisations (#20)
  - add `esda.moran.Moran_BV` visualizations to `splot.esda` (#18)
  - add `seaborn` and `matplotlib` to `install_requirements` in `setup.py` (#19)
  - prototype `moran_scatterplot()`, `plot_moran_simulation()` and `plot_moran()` for `esda` (#17)
  - include utility functions `shift_colormap` and `truncate_colormap` (#15)
  - fix setup.py so files are installed with "pip install ." (#16)
  - `plot_spatial_weights` including network joins for `non_planar_joins` (#14)
  - adapting existing `esda` functionality to `splot.esda` namespace and allow `.plot()` method (#13)
  - add `giddy` dynamic LISA functionality under `splot.giddy` (#11)
  - start sphinx html documentation (#12)
  - add visualization option with significance to mplot (#7)
  - Visualising Local Autocorrelation (#8)
  - run 2to3 for splot (#6)
  - Fix for Pysal#930 (#3)
  - Add a Gitter chat badge to README.md (#2)

The following individuals contributed to this release:

  - Stefanie Lumnitz
  - Dani Arribas-Bel
  - Levi John Wolf
  - Serge Rey
  - Thequackdaddy
  - Jsignell
  - Serge